﻿Imports Steema.TeeChart

Public Class Form1

    Public Axis(48) As Steema.TeeChart.Axis

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        Dim aa As Integer

        InitializeChart()

        For aa = 0 To 7     '8 Traces Available
            TChart1.Series(aa).VertAxis = Styles.VerticalAxis.Custom
        Next aa
        SetupVerticalAxes()
        SetupHorizontalAxis()

        TChart1.Series(0).CustomVertAxis = TChart1.Axes.Custom(0)
        TChart1.Series(1).CustomVertAxis = TChart1.Axes.Custom(1)
        TChart1.Series(2).CustomVertAxis = TChart1.Axes.Custom(2)
        TChart1.Series(3).CustomVertAxis = TChart1.Axes.Custom(0)
        TChart1.Series(4).CustomVertAxis = TChart1.Axes.Custom(1)
        TChart1.Series(5).CustomVertAxis = TChart1.Axes.Custom(2)
        TChart1.Series(6).CustomVertAxis = TChart1.Axes.Custom(0)
        TChart1.Series(7).CustomVertAxis = TChart1.Axes.Custom(1)

        TChart1.Panel.MarginLeft = 28
        TChart1.Legend.Alignment = LegendAlignments.Bottom

        For aa = 3 To 7
            TChart1.Series(aa).Active = False
        Next

    End Sub
    Sub InitializeChart()

        TChart1.Legend.Visible = True
        TChart1.Aspect.View3D = False
        TChart1.Axes.Bottom.AutomaticMaximum = False
        TChart1.Axes.Bottom.AutomaticMinimum = False
        TChart1.Axes.Bottom.Horizontal = True
        TChart1.Axes.Bottom.StartPosition = 0
        TChart1.Axes.Bottom.EndPosition = 100
        TChart1.Axes.Bottom.Labels.DateTimeFormat = "hh:mm:ss"
        TChart1.Axes.Bottom.MinorTickCount = 4
        TChart1.Axes.Bottom.Increment = 1 / 3600
        TChart1.Axes.Bottom.Labels.Angle = 90

        TChart1.Axes.Left.Visible = False
        TChart1.Axes.Right.Visible = False

        TChart1.Header.Text = "Job Name"
        TChart1.Axes.Bottom.Minimum = 0
        TChart1.Axes.Bottom.Maximum = 24

        TChart1.Draw()

    End Sub

    Sub SetupVerticalAxes()
        Dim aa As Integer
        Dim bb As Double
        Dim cc As Double

        For aa = 0 To 2
            Axis(aa) = New Axis(TChart1.Chart)
            TChart1.Axes.Custom.Add(Axis(aa))
            With TChart1.Axes.Custom(aa)
                .PositionUnits = PositionUnits.Pixels
                bb = aa * -50
                .RelativePosition = bb

                .OtherSide = False
                .AxisPen.Color = Color.Red
                .Grid.Visible = True
                .Title.Text = "Rate " & (aa + 1).ToString

                .Title.Angle = 90
                .AutomaticMaximum = False
                .EndPosition = 100
                .StartPosition = 0
                bb = 0
                cc = (aa + 1) * 100
                .SetMinMax(bb, cc)
            End With
            TChart1.Draw()
        Next

    End Sub

    Sub SetupHorizontalAxis()
        Dim cc As Double = 0

        'Bottom Axis
        TChart1.Axes.Bottom.Minimum = 0
        TChart1.Axes.Bottom.Maximum = 10
        TChart1.Axes.Bottom.AxisPen.Color = Color.Blue
        TChart1.Axes.Bottom.Labels.Font.Color = Color.Black

        TChart1.Axes.Bottom.Horizontal = True
        TChart1.Axes.Bottom.StartPosition = 0
        TChart1.Axes.Bottom.EndPosition = 100
        TChart1.Axes.Bottom.Labels.DateTimeFormat = "hh:mm:ss"
        TChart1.Axes.Bottom.Labels.Angle = 0

        cc = Utils.GetDateTimeStep(DateTimeSteps.OneMinute)
        TChart1.Axes.Bottom.Increment = cc

        TChart1.Draw()

    End Sub

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click

        TChart1.ShowEditor()

    End Sub

End Class
